import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "moebius92.Handlers";

local skills = Turbine.Gameplay.LocalPlayer:GetInstance():GetTrainedSkills();
local t = nil;
local names = { };

function makeHandler(i)
	return function()
		local c = skills:GetItem(i):GetCooldown();
		local r = skills:GetItem(i):GetResetTime();
		local n = Turbine.Engine.GetGameTime();

		if t == nil then
			t = r - c;
		end

--		Turbine.Shell.WriteLine(names[i] .. ": " .. tostring((r - c) - t) .. " " .. tostring(c) .. " " .. tostring(n - (r - c)));
		Turbine.Shell.WriteLine(names[i] .. ": " .. tostring((r - c) - t) .. " " .. tostring(c));
	end
end

for i = 1, skills:GetCount(), 1 do
	names[i] = skills:GetItem(i):GetSkillInfo():GetName();
	moebius92.Handlers.AddEventHandler(skills:GetItem(i), "ResetTimeChanged", makeHandler(i));
end

SkillTimerCommand = class(Turbine.ShellCommand);

function SkillTimerCommand:Execute(command, arguments)
	t = nil;
end

function SkillTimerCommand:GetShortHelp()
	return "clear SkillTimer";
end

plugin.command = SkillTimerCommand();
Turbine.Shell.AddCommand("st", plugin.command);
